Bug 39095 - [REPOCOPY WAITING] ports/net/nttcp and ports/net/ttcp appear miscategorized
Summary: [REPOCOPY WAITING] ports/net/nttcp and ports/net/ttcp appear miscategorized
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-10 12:50 UTC by Trevor Johnson
Modified: 2004-01-16 01:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trevor Johnson 2002-06-10 12:50:01 UTC
Julian Elischer suggested a new category "net/benchmarks" because he
believes that too many ports are listed under net/.  Checking into it, I
noticed that these two ports are described as benchmarking programs.  In
the Porters' Handbook, the net category is described as "miscellaneous
networking software".  The benchmarks category seems more specific so I
feel that it is preferable.

Fix: 

repo copy to benchmarks/ or at least add "benchmarks" to CATEGORIES line
in ports/net/ttcp/Makefile (it is already present for nttcp)
How-To-Repeat:       cat /usr/ports/net/*ttcp/pkg-comment
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-04 19:55:27 UTC
Responsible Changed
From-To: freebsd-ports->mharo

nttcp has already complied. Assign to maintainer of ttcp for 
evaluation
Comment 2 Edwin Groothuis freebsd_committer 2004-01-09 21:14:15 UTC
Responsible Changed
From-To: mharo->edwin

asked for repocopy.
Comment 3 Edwin Groothuis freebsd_committer 2004-01-09 21:15:34 UTC
With regard to ports/39095, please repocopy:
	ports/net/nttcp to ports/benchmarks/nttcp
	ports/net/ttcp to ports/benchmarks/ttcp

--=20
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 4 Pav Lucistnik freebsd_committer 2004-01-11 00:47:10 UTC
Adding portmgr's reply from pending/61143:

 Approved.  Be sure to adjust the CATEGORIES line so that both benchmarks
 and net are included in both ports.
 
 Joe

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Squish. Larger than the normal icky things, and twice as icky.
Comment 5 Edwin Groothuis freebsd_committer 2004-01-16 01:38:57 UTC
State Changed
From-To: open->closed

Commited, thanks!